FF 17 won't install Rated 3 out of 5 stars

Firefox 17 won't install this add-on - says it can't modify a needed file. ???

This review is for a previous version of the add-on (working-v2.1-signed.1-signed). 

Works on v17.0.1

I did not have any issues during the auto-updates through v17.0.1, nor did I have any issues with a fresh install on v17.0.1... are you still experiencing a problem?